<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtquick-pathview-editor.qdoc -->
  <title>Editing PathView Properties | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Editing PathView Properties</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="quick-states.html" />
  <link rel="next" href="qtquick-iso-icon-browser.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="quick-states.html">Adding States</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qtquick-iso-icon-browser.html">Browsing ISO 7000 Icons</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Editing PathView Properties</h1>
<span class="subtitle"></span>
<!-- $$$qmldesigner-pathview-editor.html-description -->
<div class="descr"> <a name="details"></a>
<p>A <a href="http://doc.qt.io/qt-5/qml-qtquick-pathview.html">Path View</a> lays out data provided by data models on a <a href="http://doc.qt.io/qt-5/qml-qtquick-path.html">Path</a>.</p>
<p>A graphical spline editor enables you to specify path view paths, which is a non-trivial task to do in the code editor.</p>
<p class="centerAlign"><img src="images/qmldesigner-pathview-editor.png" alt="&quot;PathView editor&quot;" /></p><p>To start editing the path, double-click the path view on the canvas. The editor composes the path of <a href="http://doc.qt.io/qt-5/qml-qtquick-pathcubic.html">PathCubic</a> path objects. They are cubic Bezier curves to a given position with two control points. Drag and drop the control points to construct the curve.</p>
<p>In addition, <a href="http://doc.qt.io/qt-5/qml-qtquick-pathline.html">PathLine</a> and <a href="http://doc.qt.io/qt-5/qml-qtquick-pathquad.html">PathQuad</a> path objects are supported indirectly. To make a curve segment linear, select <b>Make Curve Segment Straight</b> in the context menu.</p>
<p>By default, the path is closed, which means that its start and end points are identical. To create separate start and end points for it, right-click an edit point to open a context menu, and deselect <b>Closed Path</b>.</p>
<p>To add intermediary points to a curve segment, select <b>Split Segment</b> in the context menu.</p>
<p>In the <b>Properties</b> pane, you can specify other properties for the path view. For example, what is the maximum distance from the path that initiates mouse dragging and what is the rate at which a flick will decelerate.</p>
</div>
<!-- @@@qmldesigner-pathview-editor.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="quick-states.html">Adding States</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qtquick-iso-icon-browser.html">Browsing ISO 7000 Icons</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
